apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: asb-vm-dv-ocs-hugepage
  namespace: default
spec:
  dataVolumeTemplates:
    - metadata:
       name: asb-dv-ocs-hugepage
      spec:
        pvc:
          accessModes:
            - ReadWriteMany
          resources:
            requests:
              storage: 12Gi
          storageClassName: ocs-storagecluster-ceph-rbd
          volumeMode: Block
        source:
          http:
            url: >-
              http://dell-per740-36.lab.eng.pek2.redhat.com/libvirt-CI-resources/RHEL-9.5-x86_64-latest.qcow2
  running: true
  template:
    metadata:
      labels:
        kubevirt.io/domain: asb-vm-dv-ocs-hugepage
        kubevirt.io/size: small
        special: asb-vm-dv-ocs-hugepage
    spec:
      domain:
        machine:
          type: q35
        features:
          acpi: {}
          apic: {}
          hyperv:
            relaxed: {}
            spinlocks:
              spinlocks: 8191
            vapic: {}
        resources:
          requests:
            memory: "2Gi"
            cpu: "4"
        memory:
          hugepages:
            pageSize: "1Gi"
        cpu:
          model: host-model
          cores: 1
          sockets: 2
          threads: 1
        clock:
          timer:
            hpet:
              present: false
            hyperv: {}
            pit:
              tickPolicy: delay
            rtc:
              tickPolicy: catchup
            utc: {}
        devices:
          autoattachGraphicsDevice: true
          autoattachPodInterface: true
          blockMultiQueue: true
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: rootdisk
              dedicatedIOThread: true
          interfaces:
            - masquerade: {}
              model: virtio
              name: default
              bootOrder: 2
          networkInterfaceMultiqueue: true
          rng: {}
      evictionStrategy: LiveMigrate
      hostname: asb-vm-dv-ocs-hugepage
      networks:
        - name: default
          pod: {}
      terminationGracePeriodSeconds: 180
      volumes:
        - dataVolume:
            name: asb-dv-ocs-hugepage
          name: rootdisk
status: {}
